%global momorel 1

Summary: getopt_long code generator
Name: gengetopt
Version: 2.22
Release: %{momorel}m%{?dist}
URL: http://www.gnu.org/software/gengetopt/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
License: GPL
# Note: this does not impose any particular license on the generated code
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: gengetopt-2.19-gcc43.patch
BuildPrereq: gcc-c++ >= 3.4.1-1m

%description
This program generates a C function that uses getopt_long function to
parse the command line options, to validate them and fills a struct.

Thus your program can now handle options such as:

myprog --input foo.c -o foo.o --no-tabs -i 100 *.class

And both long options (those that start with --) and short options
(start with - and consist of only one character) can be handled.

gengetopt is *free software*. Please see the file LICENSE and COPYING
for details.
Notice that: Use of gengetopt _does not impose any particular license on
the generated code: the code generated is not under any license_.


%prep
%setup -q

%patch1 -p1 -b .gcc43~

%build
%configure
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf installed-doc
cp -a %{buildroot}%{_datadir}/doc/%{name} installed-doc

# remove
rm -rf %{buildroot}%{_docdir}/gengetopt
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/gengetopt
%{_infodir}/gengetopt.info*
%{_mandir}/man*/*
%doc AUTHORS
%doc TODO
%doc installed-doc/*
# %%doc tests/

%changelog
* Sat Jun 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-1m)
- update to 2.22

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.19-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.19-3m)
- %%NoSource -> NoSource

* Sat Jan 12 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.19-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Jan  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-1m)
- update to 2.19

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.14-1m)
- update 2.14
- 2.13.1 was build error gcc4

* Mon May 23 2005 TAKAHASHI Tamotsu <tamo>
- (2.13.1-1m)
- fix memory leaks

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.12.2-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Mon Aug 30 2004 TAKAHASHI Tamotsu <tamo>
- (2.12.2-1m)
- NEWS: "removed segfaults in multiple option handling"

* Mon Jun 14 2004 TAKAHASHI Tamotsu <tamo>
- (2.12.1-1m)

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.11-2m)
- revised spec for enabling rpm 4.2.

* Mon Nov 17 2003 TAKAHASHI Tamotsu <tamo>
- (2.11-1m)
- use "make" macro
- use momorel
- remove duplicated doc files
- add /usr/share/gengetopt
 (the comment in Makefile says:
  "we distribute these files because
  who uses gengetopt might need them")
 ...dunno why not includedir?
- use "NoSource" macro

* Thu Jul  3 2003 TAKAHASHI Tamotsu <tamo>
- (2.10-1m)
- _smp_mflags

* Thu Mar 20 2003 TAKAHASHI Tamotsu <tamo>
- (2.8.1-1m)
- from scratch
- this package generates a C function that uses getopt_long function
